# @billogram/foundation-summary-property-group

> React layout components for a summary section

## Install

```
yarn add @billogram/foundation-summary-property-group
```

## Usage

```tsx
import {
    FoundationSummaryProperty,
    FoundationSummaryPropertyGroup,
    FoundationSummaryPropertyGroupSection,    
} from '@billogram/foundation-summary-property-group';
```

See [types](src/types.ts) for exported types.

### [`FoundationSummaryProperty`](src/FoundationSummaryProperty.tsx)

```tsx
<FoundationSummaryProperty
    text={ null }
    value={ null }>
    ...
</FoundationSummaryProperty>
```

### [`FoundationSummaryPropertyGroup`](src/FoundationSummaryPropertyGroup.tsx)

```tsx
<FoundationSummaryPropertyGroup
    multiline={ false }>
    <FoundationSummaryProperty>
        ...
    </FoundationSummaryProperty>
</FoundationSummaryPropertyGroup>
```

### [`FoundationSummaryPropertyGroupSection`](src/FoundationSummaryPropertyGroupSection.tsx)

```tsx
<FoundationSummaryPropertyGroupSection
    description={ null }
    layout="column"
    title={ null }>
    <FoundationSummaryPropertyGroup
        multiline={ false }>
        <FoundationSummaryProperty
            text={ null }
            value={ null }>
            ...
        </FoundationSummaryProperty>
    </FoundationSummaryPropertyGroup>
</FoundationSummaryPropertyGroupSection>
```

## Note

This library is being published with our use cases in mind and is not necessarily meant to be consumed by the broader public. We probably won't take your feature requests unless they align with our own needs.

## License

MIT
