import React, { useContext } from 'react';
import purebem from 'purebem';
import { pgettext } from '@billogram/lang';
import FoundationSummaryPropertyGroupContext from './FoundationSummaryPropertyGroupContext';
import './FoundationSummaryProperty.scss';
export default function FoundationSummaryProperty(_ref) {
  var _ref$text = _ref.text,
      text = _ref$text === void 0 ? null : _ref$text,
      _ref$value = _ref.value,
      value = _ref$value === void 0 ? null : _ref$value;
  var context = useContext(FoundationSummaryPropertyGroupContext);
  var block = purebem('foundation-summary-property');
  var notSpecified = value === null;
  return React.createElement("div", {
    className: block({
      layout: context.layout
    })
  }, text !== null && text !== '' ? React.createElement("div", {
    className: block('text')
  }, text, ":") : null, React.createElement("div", {
    className: block('value', {
      notSpecified: notSpecified
    })
  }, notSpecified ? pgettext('foundation-summary-property', 'Value--not-specified') : value));
}
//# sourceMappingURL=FoundationSummaryProperty.js.map